GDB (xrefs)

Public Attributes | List of all members
signal_handler Struct Reference

`#include "extension-priv.h"`

## Public Attributes
int | handler_saved
sighandler_t | handler

## Detailed Description

Definition at line 325 of file extension-priv.h.

## Member Data Documentation

## ◆ handler

sighandler_t signal_handler::handler

Definition at line 331 of file extension-priv.h.

Referenced by install_gdb_sigint_handler(), and install_sigint_handler().

## ◆ handler_saved

int signal_handler::handler_saved

Definition at line 328 of file extension-priv.h.

Referenced by install_gdb_sigint_handler(), install_sigint_handler(), restore_active_ext_lang(), and set_active_ext_lang().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/extension-priv.h